<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->

<div id="centercontainer">
  <div id="moduleRightsCondition" *ngIf="moduleRights" class="row">
    <div
      id="forLoopDiv"
      (click)="goToModuleIfValid(userModule)"
      [style.color]="userModule.color"
      [style.background]="000000"
      *ngFor="let userModule of userModules"
      class="col-md-4 md-whiteframe-4dp hvr-grow">
      <div id="picDiv" [style.background-image]="'url(' + userModule.pictureLink + ')'">
        <div class="title-footer">
          <span class="element underline-opening">{{ userModule.name }}</span>
        </div>
      </div>
    </div>
  </div>
</div>
<div *ngIf="!moduleRights" style="text-align: center">
  <h2>Der Benutzer hat keine Rechte</h2>
  <h4>Bitte kontaktieren Sie Ihren Administrator</h4>
</div>
